
From: Pavel Machek <pavel@ucw.cz>

We have PASSIVE, ACTIVE and CRT cooling policies...  Ouch, the last one
should probably be called CRITICAL otherwise everyone thinks "TV?".

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/thermal.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/acpi/thermal.c~acpi-thermal-fix-confusing-define drivers/acpi/thermal.c
--- 25/drivers/acpi/thermal.c~acpi-thermal-fix-confusing-define	Wed Oct 20 16:35:00 2004
+++ 25-akpm/drivers/acpi/thermal.c	Wed Oct 20 16:35:00 2004
@@ -60,7 +60,7 @@
 #define ACPI_THERMAL_NOTIFY_HOT		0xF1
 #define ACPI_THERMAL_MODE_ACTIVE	0x00
 #define ACPI_THERMAL_MODE_PASSIVE	0x01
-#define ACPI_THERMAL_MODE_CRT   	0xff
+#define ACPI_THERMAL_MODE_CRITICAL		0xff
 #define ACPI_THERMAL_PATH_POWEROFF	"/sbin/poweroff"
 
 #define ACPI_THERMAL_MAX_ACTIVE	10
@@ -953,7 +953,7 @@ static int acpi_thermal_cooling_seq_show
 		seq_puts(seq, "<setting not supported>\n");
 	}
 
-	if ( tz->cooling_mode == ACPI_THERMAL_MODE_CRT )
+	if ( tz->cooling_mode == ACPI_THERMAL_MODE_CRITICAL )
 		seq_printf(seq, "cooling mode:	critical\n");
 	else
 		seq_printf(seq, "cooling mode:	%s\n",
@@ -1262,7 +1262,7 @@ acpi_thermal_get_info (
 			tz->cooling_mode = ACPI_THERMAL_MODE_ACTIVE;
 		} else {
 			/* _ACx and _PSV are optional, but _CRT is required */
-			tz->cooling_mode = ACPI_THERMAL_MODE_CRT;
+			tz->cooling_mode = ACPI_THERMAL_MODE_CRITICAL;
 		}
 	}
 
_
